Weav

Get agent

Retrieve a specific agent by ID

Retrieve a specific agent by ID

GET https://api.weav.com/v1/agents/{id}

Requires a token with the external-api:read or external-api:write ability.

Path parameters

idstringrequired

Agent UUID

Format: uuid.

Request

cURL
curl --request GET \
  --url 'https://api.weav.com/v1/agents/{id}' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/agents/{id}", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/agents/{id}", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/agents/{id}', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();

Response

200 OK
{
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Agent",
    "slug": "agent",
    "description": "Helps customers with support queries",
    "avatar_url": "https://example.com/avatar.png",
    "max_messages_per_session": 50,
    "tone": "professional",
    "response_length": "standard",
    "is_active": true,
    "is_copilot": false,
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
  • 404 Not Found
  • 401 Unauthorized

Response fields

idstring

Format: uuid.

namestring
slugstring
descriptionstring | null
avatar_urlstring | null

Format: url.

max_messages_per_sessioninteger | null
tonestring | null
response_lengthstring | null
is_activeboolean
is_copilotboolean
created_atstring | null

Format: date-time.

updated_atstring | null

Format: date-time.